Bug 1121083 - JSVC Tomcat starting on Solaris - APR version incompatible
Summary: JSVC Tomcat starting on Solaris - APR version incompatible
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: tomcat-native
Version: 2.1.0
Hardware: All
OS: Solaris
medium
medium
Target Milestone: CR01
: 2.1.0
Assignee: Mladen Turk
QA Contact: Libor Fuka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 10:32 UTC by Libor Fuka
Modified: 2015-04-02 15:13 UTC (History)
6 users (show)

Doc Type: Known Issue
Doc Text:
When using JBoss Enterprise Web Server with an Oracle Solaris 10 Intel machine, an incompatible version of the APR-based Apache Tomcat Native library (specifically, version 1.1.27) is installed, while Tomcat requires version 1.1.30. This is a known issue is JBoss Enterprise Web Server 2.1 and no workaround is currently available for this issue.
Clone Of:
Environment:
Last Closed: 2015-04-02 15:13:12 UTC
Type: Bug


Attachments (Terms of Use)
catalina-daemon.out (6.39 KB, text/plain)
2014-07-18 10:44 UTC, Libor Fuka
no flags Details

Description Libor Fuka 2014-07-18 10:32:35 UTC
Description of problem:
[FINEST] SEVERE: An incompatible version 1.1.27 of the APR based Apache Tomcat Native library is installed, while Tomcat requires version 1.1.30


Version-Release number of selected component (if applicable):
EWS 2.1.0-ER4

Steps to Reproduce:
1. Run the following command on Solaris:
/opt/jboss-ews-2.1/sbin/jsvc   -showversion -cp /opt/jboss-ews-2.1/share/tomcat6/bin/bootstrap.jar  -outfile /opt/jboss-ews-2.1/share/tomcat6/logs/catalina.out -errfile /opt/jboss-ews-2.1/share/tomcat6/logs/catalina.err -pidfile /opt/jboss-ews-2.1/share/tomcat6/tomcat6.pid   -user tomcat  -Dcatalina.home=/opt/jboss-ews-2.1/share/tomcat6 -Djava.io.tmpdir=/opt/jboss-ews-2.1/share/tomcat6/temp org.apache.catalina.startup.Bootstrap

Actual results:
See attachment catalina.err

Comment 1 Libor Fuka 2014-07-18 10:33:42 UTC
Its the same when i create symlink for jsvc in tomcat6/bin and run daemon.sh start

Comment 2 Libor Fuka 2014-07-18 10:44:45 UTC
Created attachment 919047 [details]
catalina-daemon.out

Comment 3 Libor Fuka 2014-07-18 10:50:02 UTC
When i start tomcat6 by startup.sh Loaded APR libraries version is correct.

Comment 4 Libor Fuka 2014-08-07 12:12:25 UTC
It happens only on Solaris 10 intel. I think its in configuration. It needs more investigation.

Comment 6 Richa 2015-04-02 15:13:12 UTC
Closing ....if needed kindly reopen it


Note You need to log in before you can comment on or make changes to this bug.